elpa-use-package_2.4-3_all.deb


Advertisement

Description

elpa-use-package - configuration macro for simplifying your .emacs

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename elpa-use-package_2.4-3_all.deb
Package name elpa-use-package
Package version 2.4
Package release 3
Package architecture all
Package type deb
Category implemented-in::lisp lisp role::plugin suite::emacs use::configuring works-with::software:package
Homepage https://github.com/jwiegley/use-package
License -
Maintainer Debian Emacsen team <debian-emacsen@lists.debian.org>
Download size 47.91 KB
Installed size 154.00 KB

Alternatives

Package Version Architecture Repository
elpa-use-package_2.4-3_all.deb 2.4 all Debian Main
elpa-use-package - - -

Requires

Name Value
elpa-bind-key >= 2.4
elpa-diminish -
emacsen-common -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package elpa-use-package_2.4-3_all.deb
Source Package use-package

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install elpa-use-package deb package:
    # sudo apt-get install elpa-use-package

Files

Path
/usr/lib/emacsen-common/packages/compat/elpa-use-package
/usr/lib/emacsen-common/packages/install/elpa-use-package
/usr/lib/emacsen-common/packages/remove/elpa-use-package
/usr/share/doc/elpa-use-package/README.md.gz
/usr/share/doc/elpa-use-package/changelog.Debian.gz
/usr/share/doc/elpa-use-package/changelog.gz
/usr/share/doc/elpa-use-package/copyright
/usr/share/emacs/site-lisp/elpa-src/use-package-2.4/use-package-autoloads.el
/usr/share/emacs/site-lisp/elpa-src/use-package-2.4/use-package-bind-key.el
/usr/share/emacs/site-lisp/elpa-src/use-package-2.4/use-package-core.el
/usr/share/emacs/site-lisp/elpa-src/use-package-2.4/use-package-delight.el
/usr/share/emacs/site-lisp/elpa-src/use-package-2.4/use-package-diminish.el
/usr/share/emacs/site-lisp/elpa-src/use-package-2.4/use-package-ensure.el
/usr/share/emacs/site-lisp/elpa-src/use-package-2.4/use-package-jump.el
/usr/share/emacs/site-lisp/elpa-src/use-package-2.4/use-package-lint.el
/usr/share/emacs/site-lisp/elpa-src/use-package-2.4/use-package-pkg.el
/usr/share/emacs/site-lisp/elpa-src/use-package-2.4/use-package.el
/usr/share/info/use-package.info.gz

Changelog

2019-08-26 - David Bremner <bremner@debian.org>
use-package (2.4-3) unstable; urgency=medium
* Team upload.
* Rebuild with current dh-elpa
2019-01-02 - Lev Lamberov <dogsleg@debian.org>
use-package (2.4-2) unstable; urgency=medium
* Add missing use-package-bind-key.el to elpa-use-package
* d/control: Depend on elpa-diminish
* d/control: Suggest other use-package packages
2018-12-31 - Lev Lamberov <dogsleg@debian.org>
use-package (2.4-1) unstable; urgency=medium
* New upstream version 2.4
* Add patch to clean documentation
* Add patch to fix version numbers
* Build separated packages as distributed by MELPA
* Migrate to dh 11
* Remove information on package split
* d/control: Add Rules-Requires-Root: no
* d/control: Add Testsuit declaration
* d/control: Build-depend on install-info and texinfo
* d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org
* d/control: Declare Standards-Version 4.3.0 (no changes needed)
* d/control: Drop emacs25 for Enhances
* d/control: Update Maintainer (to Debian Emacsen team)
* d/copyright: Update copyright information (years bump, migration to GPL-3+)
* d/rules: Build info documentation
* d/rules: Do not skip tests
* d/rules: Install upstream's changelog
* d/rules: Skip upstream's make install
2017-11-24 - Lev Lamberov <dogsleg@debian.org>
use-package (2.3+repack-2) unstable; urgency=medium
* d/control: Fix Homepage URL (Closes: #882594)
* d/control: Enhance emacs25, not emacs24
* d/control: Do not depend on emacs
* d/control: Declare Standards-Version 4.1.1 (no changes needed)
* d/control: Drop Built-Using field
* d/control: Drop Testsuit field
* d/control: Adjust dependencies
* d/rules: Do not pass --parallel to dh (compat is 10)
2016-10-27 - Lev Lamberov <dogsleg@debian.org>
use-package (2.3+repack-1) unstable; urgency=medium
* New upstream version 2.3+repack
2016-10-24 - Lev Lamberov <dogsleg@debian.org>
use-package (2.2+repack-1) unstable; urgency=low
* Initial release (Closes: #841852)

See Also

Package Description
elpa-uuid_0.0.3~git20120910.1519bfe-2_all.deb UUID/GUID library for Emacs Lisp
elpa-vala-mode_0.1-7_all.deb Emacs editor major mode for vala source code
elpa-vc-fossil_2018.02.15-3_all.deb Emacs VC backend for the Fossil Version Control system
elpa-verbiste_0.1.47-1_all.deb French and Italian conjugator - emacs extension
elpa-vimish-fold_0.2.3-4_all.deb fold text in GNU Emacs like in Vim
elpa-virtualenvwrapper_0.2.0-1_all.deb featureful virtualenv tool for Emacs
elpa-visual-fill-column_1.11-3_all.deb Emacs mode that wraps visual-line-mode buffers at fill-column
elpa-visual-regexp_1.1.2-1_all.deb in-buffer visual feedback while using Emacs regexps
elpa-wc-mode_1.3-5_all.deb display a word count in the Emacs modeline
elpa-web-mode_16.0.21-2_all.deb major emacs mode for editing web templates
elpa-weechat_0.5.0-3_all.deb Chat via WeeChat's relay protocol in Emacs
elpa-which-key_3.3.1-3_all.deb display available keybindings in popup
elpa-with-editor_2.8.3-1_all.deb call program using Emacs as $EDITOR
elpa-with-simulated-input_2.2-2_all.deb macro to simulate user input non-interactively
elpa-world-time-mode_0.0.6-3_all.deb Emacs mode to compare timezones throughout the day
Advertisement
Advertisement